import { RepositoryWithSubscriber } from "../../../shared/service/VPSubscriber";
import { IStopCacheDto } from "../../../../schema-definitions/ropid-gtfs/interfaces/IStopDto";
import { IoRedisConnector } from "@golemio/core/dist/helpers/data-access/redis/IoRedisConnector";
import { ILogger } from "@golemio/core/dist/helpers/logger/LoggerProvider";
export declare class GtfsStopsRedisRepository implements RepositoryWithSubscriber {
    private redisConnector;
    private log;
    private setName;
    constructor(redisConnector: IoRedisConnector, log: ILogger);
    private checkSetNameAndConnection;
    setCurrentSetName(name: string): void;
    getAswNodeIdFromCisId(cisId: string): Promise<string | null>;
    getGtfsStopIdsByAswNode(aswNodeId: string): Promise<string[]>;
    getGtfsStopIdsForAswNodes(aswNodes: string[]): Promise<Map<string, string[]>>;
    getGtfsStopsDetailsByAswId(aswIds: string[]): Promise<IStopCacheDto[]>;
}
